be.fgov.ehealth.consultrn.protocol.v2

## Class RegisterPersonResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.consultrn.protocol.v2.RegisterPersonResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:34:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class RegisterPersonResponse
      extends StatusResponseType
      implements Serializable

  Type defining the structure of the response being send to the consumer after the person registration

  Java class for RegisterPersonResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RegisterPersonResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence>
               <element name="Result" type="{urn:be:fgov:ehealth:consultrn:core:v2}ResultType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterPersonResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultType` | `getResult()` Gets the value of the result property.
    `void` | `setResult(ResultType value)` Sets the value of the result property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterPersonResponse

          public RegisterPersonResponse()

  - ### Method Detail

    - #### getResult

          public ResultType getResult()

      Gets the value of the result property.
      Returns:
        possible object is `ResultType`

    - #### setResult

          public void setResult(ResultType value)

      Sets the value of the result property.
      Parameters:
        `value` - allowed object is `ResultType`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.